Package de.gebit.integrity.ui.preferences

## Class IntegrityPreferenceInitializer

- java.lang.Object
- - org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
  - - de.gebit.integrity.ui.preferences.IntegrityPreferenceInitializer

-     public class IntegrityPreferenceInitializer
      extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

  Initializes our preferences with their default values.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FORMAT_ON_SAVE_PREFERENCE` | The autoformat preference.
    `static String` | `ORGANIZE_IMPORTS_ON_SAVE_PREFERENCE` | The organize imports on save preference.
    `static String` | `SHORTEN_REFERENCES_DEPTH_PREFERENCE` | The shorten references preference.
    `static String` | `UNUSED_IMPORTS_WARNING` | Warn of unused imports.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityPreferenceInitializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initializeDefaultPreferences()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT_ON_SAVE_PREFERENCE

          public static final String FORMAT_ON_SAVE_PREFERENCE

      The autoformat preference.
      See Also:
        Constant Field Values

    - #### ORGANIZE_IMPORTS_ON_SAVE_PREFERENCE

          public static final String ORGANIZE_IMPORTS_ON_SAVE_PREFERENCE

      The organize imports on save preference.
      See Also:
        Constant Field Values

    - #### UNUSED_IMPORTS_WARNING

          public static final String UNUSED_IMPORTS_WARNING

      Warn of unused imports.
      See Also:
        Constant Field Values

    - #### SHORTEN_REFERENCES_DEPTH_PREFERENCE

          public static final String SHORTEN_REFERENCES_DEPTH_PREFERENCE

      The shorten references preference.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IntegrityPreferenceInitializer

          public IntegrityPreferenceInitializer()

  - ### Method Detail

    - #### initializeDefaultPreferences

          public void initializeDefaultPreferences()

      Specified by:
        `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`